class Array

  # Delete multiple values from array.
  #
  #   a = [1,2,3,4]
  #   a.delete_values(1,2)   #=> [1,2]
  #   a                      #=> [3,4]
  #
  def delete_values(*values)
    d = []
    values.each{ |v| d << delete(v) }
    d
  end

end


#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCArray < Test::Unit::TestCase

    def test_delete_values
      a = [1,2,3,4]
      assert_equal( [1,2], a.delete_values(1,2) )
      assert_equal( [3,4], a )
    end

  end

=end
